
Redmine - Defect #6423

Problem parsing From lines for email account creation

2010-09-17 16:53 - Richard Palmer

Status: Closed Start date: 2010-09-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

The code in mail_handler to create a user via email expects From lines in the form:

"Joe Bloggs &lt;joe.bloggs@example.com&gt;"

 It fails to handle the following:

"Bloggs, Joe &lt;joe.bloggs@example.com&gt;" 

   "joe.bloggs@example.com &lt;joe.bloggs@example.com&gt;"

 as the user's firstname cannot contain "," or "@". As a quick fix I've added an extra

line in create_user_from_email in mail_handler.rb to strip those from the firstname

before the user is saved:

user.firstname = names.shift.gsub(/@.*$/, '').gsub(/,/, '')

 but this might not cover all cases. I'm just starting with ruby so apologies if this is

hideous code.

regards,

Richard

History

#1 - 2011-11-28 05:05 - Mischa The Evil

- Category set to Email receiving

Is this covered by r7952?

#2 - 2019-02-09 07:26 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

You can use both '@' and ',' for user names on and after r4599 (#5152).

Powered by TCPDF (www.tcpdf.org)

2025-04-19 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/7952
https://www.redmine.org/projects/redmine/repository/svn/revisions/4599
https://www.redmine.org/issues/5152
http://www.tcpdf.org

